# GreasePencilLayers(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``GreasePencilLayers`(bpy_struct)

  Collection of grease pencil layers

  `active`

    Active grease pencil layer

    Type: | `GPencilLayer`

  `active_index`

    Index of active grease pencil layer

    Type: | int in [0, inf], default 0

  `new`(name, set_active=False)

    Add a new grease pencil layer

    Parameters: | name (string, (never None)) – Name, Name of the layer set_active (boolean, (optional)) – Set Active, Set the newly created layer to the active layer
    Returns: | The newly created layer
    Return type: | `GPencilLayer`

  `remove`(layer)

    Remove a grease pencil layer

    Parameters: | layer (`GPencilLayer`, (never None)) – The layer to remove

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`GreasePencil.layers` |